oyFilterSocket_s Struct Reference
Description: C source code API documentation for the Oyranos project.
Keywords: Oyranos,Color Management,Color Management,ICC,CMS,C,doxygen,API,documentation

| Oyranos Color Management System API - Version 0.9.6

Public Member Functions | Data Fields
oyFilterSocket_s Struct Reference
Conversion

A filter connection structure. More...

`#include <oyFilterSocket_s.h>`

Inheritance diagram for oyFilterSocket_s:
Collaboration diagram for oyFilterSocket_s:

## Public Member Functions
OYAPI oyFilterSocket_s *OYEXPORT | oyFilterSocket_New (oyObject_s object)
| allocate a new FilterSocket object More...
| oyFilterSocket_Copy
| Copy or Reference a FilterSocket object. More...
OYAPI int OYEXPORT | oyFilterSocket_Release (oyFilterSocket_s **filtersocket)
| release and possibly deallocate a oyFilterSocket_s object More...
OYAPI int OYEXPORT | oyFilterSocket_Callback (oyFilterPlug_s *c, oyCONNECTOR_EVENT_e e)
| Tell about a oyConversion_s event. More...
OYAPI int OYEXPORT | oyFilterSocket_SignalToGraph (oyFilterSocket_s *c, oyCONNECTOR_EVENT_e e)
| Send a signal through the graph. More...
OYAPI oyFilterNode_s *OYEXPORT | oyFilterSocket_GetNode (oyFilterSocket_s *socket)
| Access oyFilterSocket_s::node. More...
OYAPI oyStruct_s *OYEXPORT | oyFilterSocket_GetData (oyFilterSocket_s *socket)
| Access oyFilterSocket_s::data. More...
OYAPI int OYEXPORT | oyFilterSocket_SetData (oyFilterSocket_s *socket, oyStruct_s *data)
| Set oyFilterSocket_s::data. More...
OYAPI oyFilterPlugs_s *OYEXPORT | oyFilterSocket_GetPlugs (oyFilterSocket_s *socket)
| Access oyFilterSocket_s::requesting_plugs_. More...
OYAPI const char *OYEXPORT | oyFilterSocket_GetRelatives (oyFilterSocket_s *socket)
| get short description of belonging filter More...
Public Member Functions inherited from oyStruct_s
const char * | oyStruct_GetTextFromModule (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| get object infos from a module More...
const char * | oyStruct_GetText (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| Get a text dump. More...
| oyStruct_RegisterStaticMessageFunc
| register a function for verbosity More...
| oyStruct_GetInfo
| get a additional string from a object More...
const char * | oyStructTypeToText (oyOBJECT_e type)
| Objects type to small string. More...

## Data Fields
const oyOBJECT_e | type_
| Type of object. More...
oyStruct_Copy_f | copy
| Copy function. More...
oyStruct_Release_f | release
| Release function. More...
oyObject_s | oy_
| Oyranos internal object. More...
Data Fields inherited from oyStruct_s
const oyOBJECT_e | type_
| Type of object. More...
oyStruct_Copy_f | copy
| Copy function. More...
oyStruct_Release_f | release
| Release function. More...
oyObject_s | oy_
| Oyranos internal object. More...

## Detailed Description

A filter connection structure.

The passive output version of a oyConnector_s.

Version
  Oyranos: 0.1.8

Since
  2008/07/29 (Oyranos: 0.1.8)

Date
  2008/07/29

Examples:
  oyranos_cmm_oJPG.c.

## Member Function Documentation

## ◆ oyFilterSocket_Callback()

OYAPI int OYEXPORT oyFilterSocket_Callback | ( | oyFilterPlug_s * | c,
|  | oyCONNECTOR_EVENT_e | e
| ) |  |

Tell about a oyConversion_s event.

Function oyFilterSocket_Callback

Parameters

  [in,out] | c | the connector
  | e | the event type

Returns
  0 on success, else error

Version
  Oyranos: 0.1.8

Since
  2008/07/28 (Oyranos: 0.1.8)

Date
  2009/02/19

References oyCONNECTOR_EVENT_OK, and oyObject_GetId().

Referenced by oyFilterNode_s::oyFilterNode_Disconnect(), and oyFilterPlug_s::oyFilterPlug_ConnectIntoSocket().

## ◆ oyFilterSocket_Copy()

oyFilterSocket_Copy

Copy or Reference a FilterSocket object.

The function is for copying and for referencing. The reference is the most often used way, which saves resourcs and time.

Parameters

  [in] | filtersocket | FilterSocket struct object
  | object | NULL - means reference, the optional object triggers a real copy

Examples:
  oyranos_cmm_oJPG.c.

Referenced by oyFilterNode_s::oyFilterNode_GetSocket(), and oyFilterPlug_s::oyFilterPlug_GetSocket().

## ◆ oyFilterSocket_GetData()

OYAPI oyStruct_s *OYEXPORT oyFilterSocket_GetData | ( | oyFilterSocket_s * | socket | ) |

Access oyFilterSocket_s::data.

Function oyFilterSocket_GetData

Parameters

  [in] | socket | the socket

Returns
  the data

Version
  Oyranos: 0.5.0

Date
  2012/10/11

Since
  2012/09/23 (Oyranos: 0.5.0)

Examples:
  oyranos_cmm_oJPG.c.

References copy, and oyOBJECT_FILTER_SOCKET_S.

Referenced by oyFilterGraph_s::oyFilterGraph_ToText().

## ◆ oyFilterSocket_GetNode()

OYAPI oyFilterNode_s *OYEXPORT oyFilterSocket_GetNode | ( | oyFilterSocket_s * | socket | ) |

Access oyFilterSocket_s::node.

Function oyFilterSocket_GetNode

Parameters

  [in] | socket | the socket

Returns
  the node

Version
  Oyranos: 0.5.0

Since
  2012/09/05 (Oyranos: 0.5.0)

Date
  2012/09/05

Examples:
  oyranos_cmm_oJPG.c.

References oyFilterNode_s::oyFilterNode_Copy(), and oyOBJECT_FILTER_SOCKET_S.

Referenced by oyFilterPlug_s::oyFilterPlug_GetRemoteNode().

## ◆ oyFilterSocket_GetPlugs()

OYAPI oyFilterPlugs_s *OYEXPORT oyFilterSocket_GetPlugs | ( | oyFilterSocket_s * | socket | ) |

Access oyFilterSocket_s::requesting_plugs_.

Function oyFilterSocket_GetPlugs

Parameters

  [in] | socket | the socket

Returns
  the requesting plugs

Version
  Oyranos: 0.5.0

Since
  2012/09/05 (Oyranos: 0.5.0)

Date
  2012/09/05

References oyFilterPlugs_s::oyFilterPlugs_Copy(), and oyOBJECT_FILTER_SOCKET_S.

## ◆ oyFilterSocket_GetRelatives()

OYAPI const char *OYEXPORT oyFilterSocket_GetRelatives | ( | oyFilterSocket_s * | socket | ) |

get short description of belonging filter

Function oyFilterSocket_GetRelatives

Parameters

  [in] | socket | the socket

Returns
  short text

Version
  Oyranos: 0.5.0

Since
  2012/09/05 (Oyranos: 0.5.0)

Date
  2012/09/05

References oyOBJECT_FILTER_SOCKET_S.

## ◆ oyFilterSocket_New()

OYAPI oyFilterSocket_s *OYEXPORT oyFilterSocket_New | ( | oyObject_s | object | ) |

allocate a new FilterSocket object

Function oyFilterSocket_New

References oyOBJECT_OBJECT_S.

Referenced by oyFilterNode_s::oyFilterNode_GetSocket().

## ◆ oyFilterSocket_Release()

OYAPI int OYEXPORT oyFilterSocket_Release | ( | oyFilterSocket_s ** | filtersocket | ) |

release and possibly deallocate a oyFilterSocket_s object

Function oyFilterSocket_Release

Parameters

  [in,out] | filtersocket | FilterSocket struct object

Examples:
  oyranos_cmm_oJPG.c.

References oyOBJECT_FILTER_SOCKET_S.

Referenced by oyFilterNode_s::oyFilterNode_ConnectorMatch(), oyFilterNode_s::oyFilterNode_Disconnect(), oyFilterNode_s::oyFilterNode_GetData(), and oyFilterPlug_s::oyFilterPlug_ConnectIntoSocket().

## ◆ oyFilterSocket_SetData()

OYAPI int OYEXPORT oyFilterSocket_SetData | ( | oyFilterSocket_s * | socket,
|  | oyStruct_s * | data
| ) |  |

Set oyFilterSocket_s::data.

Function oyFilterSocket_SetData

Parameters

  [in] | socket | the socket
  [in] | data | the data

Returns
  error

Version
  Oyranos: 0.5.0

Since
  2012/09/25 (Oyranos: 0.5.0)

Date
  2012/09/25

Examples:
  oyranos_cmm_oJPG.c.

References oyStruct_s::copy, oyOBJECT_FILTER_SOCKET_S, and release.

## ◆ oyFilterSocket_SignalToGraph()

OYAPI int OYEXPORT oyFilterSocket_SignalToGraph | ( | oyFilterSocket_s * | c,
|  | oyCONNECTOR_EVENT_e | e
| ) |  |

Send a signal through the graph.

Function oyFilterSocket_SignalToGraph

The traversal direction is defined as from the starting node to the output.

Returns
  1 if handled or zero

Version
  Oyranos: 0.3.2

Since
  2009/10/27 (Oyranos: 0.1.10)

Date
  2011/07/10

< kind of ping

< connection established

< released the connection

< call to update image views

< new data accessors

< can not process image

< can not handle option

< can not handle profile

< can not completely process

## Field Documentation

## ◆ copy

oyStruct_Copy_f oyFilterSocket_s::copy

Copy function.

Referenced by oyFilterSocket_GetData().

## ◆ oy_

oyObject_s oyFilterSocket_s::oy_

Oyranos internal object.

Features name and hash. Do not change during object life time.

## ◆ release

oyStruct_Release_f oyFilterSocket_s::release

Release function.

Referenced by oyFilterNode_s::oyFilterNode_SetData(), and oyFilterSocket_SetData().

## ◆ type_

const oyOBJECT_e oyFilterSocket_s::type_

Type of object.

The struct type tells Oyranos how to interprete hidden fields.